# Uses of Class
org.eclipse.swt.graphics.Font

Packages that use Font
Package
Description
org.eclipse.nebula.jface.gridviewer
org.eclipse.nebula.widgets.grid
org.eclipse.nebula.widgets.richtext
org.eclipse.rap.rwt.remote
org.eclipse.rap.rwt.template
org.eclipse.rap.rwt.theme
org.eclipse.swt.custom
org.eclipse.swt.graphics
org.eclipse.swt.widgets

## Uses of Font in org.eclipse.nebula.jface.gridviewer

Methods in org.eclipse.nebula.jface.gridviewer that return Font
Modifier and Type
Method
Description
`Font`
GridViewerRow.`getFont(int columnIndex)`
Methods in org.eclipse.nebula.jface.gridviewer with parameters of type Font
Modifier and Type
Method
Description
`void`
GridViewerRow.`setFont(int columnIndex, Font font)`

## Uses of Font in org.eclipse.nebula.widgets.grid

Methods in org.eclipse.nebula.widgets.grid that return Font
Modifier and Type
Method
Description
`Font`
GridItem.`getFont()`
Returns the font that the receiver will use to paint textual information for this item.
`Font`
GridItem.`getFont(int index)`
Returns the font that the receiver will use to paint textual information for the specified cell in this item.
`Font`
GridColumn.`getFooterFont()`
Returns the font that the receiver will use to paint textual information for the footer.
`Font`
GridColumn.`getHeaderFont()`
Returns the font that the receiver will use to paint textual information for the header.
`Font`
GridColumnGroup.`getHeaderFont()`
Returns the font that the receiver will use to paint textual information for the header.
`Font`
GridItem.`getHeaderFont()`
Returns the receiver's row header font
Methods in org.eclipse.nebula.widgets.grid with parameters of type Font
Modifier and Type
Method
Description
`void`
Grid.`setFont(Font font)`
`void`
GridItem.`setFont(int index, Font font)`
Sets the font that the receiver will use to paint textual information for the specified cell in this item to the font specified by the argument, or to the default font for that kind of control if the argument is null.
`void`
GridItem.`setFont(Font font)`
Sets the font that the receiver will use to paint textual information for this item to the font specified by the argument, or to the default font for that kind of control if the argument is null.
`void`
GridColumn.`setFooterFont(Font font)`
Sets the Font to be used when displaying the Footer text.
`void`
GridColumn.`setHeaderFont(Font font)`
Sets the Font to be used when displaying the Header text.
`void`
GridColumnGroup.`setHeaderFont(Font font)`
Sets the Font to be used when displaying the Header text.
`void`
GridItem.`setHeaderFont(Font headerFont)`
Set the new header font

## Uses of Font in org.eclipse.nebula.widgets.richtext

Methods in org.eclipse.nebula.widgets.richtext with parameters of type Font
Modifier and Type
Method
Description
`void`
RichTextEditor.`setFont(Font font)`

## Uses of Font in org.eclipse.rap.rwt.remote

Methods in org.eclipse.rap.rwt.remote with parameters of type Font
Modifier and Type
Method
Description
`static JsonValue`
JsonMapping.`toJson(Font font)`
Returns the JSON representation for the given Font.

## Uses of Font in org.eclipse.rap.rwt.template

Methods in org.eclipse.rap.rwt.template with parameters of type Font
Modifier and Type
Method
Description
`T`
Cell.`setFont(Font font)`
Sets the font for this cell.

## Uses of Font in org.eclipse.rap.rwt.theme

Methods in org.eclipse.rap.rwt.theme that return Font
Modifier and Type
Method
Description
`Font`
ControlThemeAdapter.`getFont(Control control)`
Returns the default font that the specified control will use to paint textual information when no user-defined font has been set using `Control.setFont(Font)`.

## Uses of Font in org.eclipse.swt.custom

Methods in org.eclipse.swt.custom that return Font
Modifier and Type
Method
Description
`Font`
CTabItem.`getFont()`
Returns the font that the receiver will use to paint textual information.
Methods in org.eclipse.swt.custom with parameters of type Font
Modifier and Type
Method
Description
`void`
CLabel.`setFont(Font font)`
`void`
CTabFolder.`setFont(Font font)`
/////////////////
`void`
CTabItem.`setFont(Font font)`
Sets the font that the receiver will use to paint textual information for this item to the font specified by the argument, or to the default font for that kind of control if the argument is null.

## Uses of Font in org.eclipse.swt.graphics

Methods in org.eclipse.swt.graphics that return Font
Modifier and Type
Method
Description
`Font`
GC.`getFont()`
Returns the font currently being used by the receiver to draw and measure text.
`Font`
Device.`getSystemFont()`
Returns a reasonable font for applications to use.
Methods in org.eclipse.swt.graphics with parameters of type Font
Modifier and Type
Method
Description
`void`
GC.`setFont(Font font)`
Sets the font which will be used by the receiver to draw and measure text to the argument.

## Uses of Font in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets that return Font
Modifier and Type
Method
Description
`Font`
Control.`getFont()`
Returns the font that the receiver will use to paint textual information.
`Font`
TableItem.`getFont()`
Returns the font that the receiver will use to paint textual information for this item.
`Font`
TableItem.`getFont(int index)`
Returns the font that the receiver will use to paint textual information for the specified cell in this item.
`Font`
TreeItem.`getFont()`
Returns the font that the receiver will use to paint textual information for this item.
`Font`
TreeItem.`getFont(int index)`
Returns the font that the receiver will use to paint textual information for the specified cell in this item.
Methods in org.eclipse.swt.widgets with parameters of type Font
Modifier and Type
Method
Description
`void`
Control.`setFont(Font font)`
Sets the font that the receiver will use to paint textual information to the font specified by the argument, or to the default font for that kind of control if the argument is null.
`void`
DateTime.`setFont(Font font)`
`void`
List.`setFont(Font font)`
`void`
Table.`setFont(Font font)`
`void`
TableItem.`setFont(int index, Font font)`
Sets the font that the receiver will use to paint textual information for the specified cell in this item to the font specified by the argument, or to the default font for that kind of control if the argument is null.
`void`
TableItem.`setFont(Font font)`
Sets the font that the receiver will use to paint textual information for this item to the font specified by the argument, or to the default font for that kind of control if the argument is null.
`void`
ToolBar.`setFont(Font font)`
`void`
Tree.`setFont(Font font)`
`void`
TreeItem.`setFont(int index, Font font)`
Sets the font that the receiver will use to paint textual information for the specified cell in this item to the font specified by the argument, or to the default font for that kind of control if the argument is null.
`void`
TreeItem.`setFont(Font font)`
Sets the font that the receiver will use to paint textual information for this item to the font specified by the argument, or to the default font for that kind of control if the argument is null.